package mug.app;

import java.awt.MenuItem;

public class CommandMenuItem extends MenuItem {
   private Command _cmd;

   public CommandMenuItem(String var1, Command var2) {
      super(var1);
      this._cmd = var2;
   }

   public void execute() {
      if (this._cmd != null) {
         this._cmd.execute();
      }

   }

   public Command getCommand() {
      return this._cmd;
   }

   public void setCommand(Command var1) {
      this._cmd = var1;
   }
}
