package mug.app;

import java.io.File;

public class OpenCommand extends Command {
   private ApplicationFrame _app;

   public OpenCommand(ApplicationFrame var1) {
      this._app = var1;
   }

   public void execute() {
      File var1 = this._app.showOpenFileDialog();
      if (var1 != null) {
         Document var2 = this._app.emptyDocument();
         if (var2.open(var1)) {
            this._app.setDocument(var2);
            ((Command)this).executeNext();
         }

      }
   }
}
