package mug.app;

public abstract class Command {
   private Command _next;

   public abstract void execute();

   public Command setNext(Command var1) {
      this._next = var1;
      return this;
   }

   protected void executeNext() {
      if (this._next != null) {
         this._next.execute();
      }

   }

   protected void executeNext(Command var1) {
      var1.setNext(this._next).execute();
   }
}
